<style lang="scss">
.preview {
  .el-form-item {
    margin-bottom: 15px;
  }
  label,
  p {
    line-height: 25px !important;
  }
}
.el-cascader {
  width: 100%;
}
a {
  text-decoration: none;
  color: #409eff;
  cursor: pointer;
}
// 右边
.item-main {
  // margin:34px;
  // height:600px;
  // background: #FFFFFF;
  border: 1px solid #dddddd;
  box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.13);
  border-radius: 20px;
  .el-form.over_y {
    max-height: calc(100vh - 340px);
  }
  /deep/.el-form-item__label {
    float: none;
  }
}
// label样式
.edit_label {
  /deep/.el-input__inner {
    background: #f5faff;
    border: 0px;
    padding: 0px;
  }
}
/deep/.opicon {
  font-weight: bold;
  padding: 5px;
  color: #3895fe;
}
.tpl_title {
  font-size: 18px;
  margin: 20px 0;
}
.tpl_form {
  margin: 20px;
  border: 1px solid #ccc;
  border-radius: 20px;
  /deep/.el-form-item {
    background: none;
  }
  /deep/.el-form-item__content {
    width: 100%;
  }
}
.survey_logo {
  position: relative;
  top: 15px;
  left: 20px;
}
.result_dialog .el-dialog{
    width: 40%;
    margin-top:20vh!important;
}
.result-item{
    height: 35px;
    .label{
        font-weight: 600;
    }
}
</style>
<template>
  <section>
    <p><span>信息管理></span>文章管理</p>
    <div class="content">
      <div class="filter">
        <el-form
          size="small"
          label-width="70px"
          :inline="true"
          label-position="left"
        >
          <el-form-item label="">
            <el-input
              clearable
              placeholder="请输入标题"
              v-model="form.name"
            ></el-input>
          </el-form-item>
          <el-form-item>
            <el-button type="primary" @click="search">搜索</el-button>
          </el-form-item>
          <el-form-item style="float: right">
            <el-button @click="addArticle" type="primary">发布文章</el-button>
          </el-form-item>
        </el-form>
      </div>
      <el-table
        class="table"
        :data="list"
        height="50vh"
        border
        v-loading="loading"
        default-expand-all
        row-key="id"
        style="width: 100%"
      >
        <el-table-column prop="name" label="文章名称" width="500px"> </el-table-column>
        <el-table-column prop="author" label="作者"></el-table-column>
        <el-table-column prop="journal_name" label="来源"></el-table-column>
        <el-table-column prop="publish_time" label="出版时间"></el-table-column>
        <el-table-column prop="ctime" label="发布时间"></el-table-column>
        <el-table-column prop="read_num" label="阅读量"></el-table-column>
        <el-table-column prop="zip" width="150" label="操作">
          <template slot-scope="scope">
            <el-button class="edit" type="text" @click="edit(scope.row)"
              >编辑</el-button
            >
            <el-button class="del" @click="del(scope.row.id)" type="text"
              >删除</el-button
            >
          </template>
        </el-table-column>
      </el-table>
      <Page
        ref="pageButton"
        :current="form.page"
        :page_size="form.page_size"
        :total="total"
        @pageChange="gopage"
      />
    </div>
  </section>
</template>
<script>
import Page from "../../components/Page";
import fuEditor from '../../components/fuEditor'
export default {
  components: {
    Page,
    fuEditor
  },
  data() {
    return {
      form: { name: "", page: 1, page_size: 20 },
      total: 1,
      list: [{ name: "2333" }],
      loading: false,
      rules: {
        name: [{ required: true, message: "请输入标题", trigger: "blur" }],
      },
    };
  },
  methods: {
    search() {
      let parm = this.form;
      this.getData();
    },
    openDiag() {
      this.form1 = {};
      this.dialogVisible = true;
      this.dialogTitle = "发送消息";
    },
    addArticle(){
          this.$router.push({path:'/article/article/add'})
    },
    gopage(size) {
      if (size) {
        this.form.page_size = size;
      }
      this.form.page = this.$refs.pageButton.page;
      this.getData();
    },
    getData() {
      var parm = this.form;
      this.loading = true;
      this.$api.getArticleList(parm).then((res) => {
        console.log(res)
        this.list = res.data.data.list;
        this.loading = false;
      });
    },
    del(id) {
      this.$confirm("确定删除吗", "提示", {
        type: "warning",
      }).then(() => {
        this.$api.delArticle({ id: id }).then((res) => {
          this.$message({
            message: "删除成功",
            type: "success",
          });
          this.getData();
        });
      });
    },
    edit(row) {
      this.$router.push({path:'/article/article/add',query:{id:row.id}})
    },
    save() {
      this.$refs["form1"].validate((valid) => {
        if (valid) {
          let parm = this.form1;
          let id = this.form1.id;
          parm.receiver_id = JSON.stringify(parm.receiver_id);
          if (id) {
            this.$api.editMessage(parm).then((res) => {
              if (res.data.code == 0) {
                this.$message({
                  type: "success",
                  message: "保存成功!",
                });
              } else {
                this.$message.error("保存失败!");
              }
              this.getData();
              this.dialogVisible = false;
            });
          } else {
            this.$api.addMessage(parm).then((res) => {
              if (res.data.code == 0) {
                this.$message({
                  type: "success",
                  message: "保存成功!",
                });
              } else {
                this.$message.error("保存失败!");
              }
              this.getData();
              this.dialogVisible = false;
            });
          }
        }
      });
    },
  },
  created() {
    this.getData();
  },
};
</script>
